Skip to main content
GET
Transfers

Authorizations

apiKey
string
query
required

Path Parameters

id
integer
required

Numeric ID of the team to get transfers for

Query Parameters

fields
enum<string>[]

Specify custom response with available response fields.


Fields included as default: id, player, playerPosition, fromTeam, fromInfo, fromLeague, toTeam, toInfo, toLeague, type, date, sources, extra, links, eliteprospectsUrlPath, updatedAt, _links

Available options:
id,
player,
playerPosition,
fromTeam,
fromInfo,
fromLeague,
toTeam,
toInfo,
toLeague,
type,
date,
sources,
extra,
links,
eliteprospectsUrlPath,
updatedAt,
_links,
player.*,
fromTeam.*,
fromLeague.*,
toTeam.*,
toLeague.*,
links.*,
*
offset
integer
default:0

The number of items to skip before starting to collect the result set.

Required range: x >= 0
limit
integer
default:100

The number of items to return.

Required range: 0 <= x <= 1000
sort
enum<string>[]

Sort results by field name. Prefix with - for descending order (e.g., -name).

Available options:
id,
-id,
date,
-date,
type,
-type,
updatedAt,
-updatedAt,
originallyCreatedAt,
-originallyCreatedAt
id
integer[]

Filter by id

id:gt
integer

Filter by id greater than

date:from
string<date>

Filter by date greater or equal to in ISO-8601 format for date

fromDate
string<date>

Filter by fromDate in ISO-8601 format for date

year
integer

Filter by year

type
enum<string>[]

Filter by type

Available options:
confirmed,
rumour,
doubtful,
extension,
up-down,
loan
fromTeam
integer

Filter by fromTeam ID

fromTeam:not
integer

Filter by fromTeam ID not equal to

fromTeam.continent
enum<string> | null

Filter by fromTeam.continent

Available options:
INT,
AF,
AN,
AS,
EU,
NA,
OC,
SA,
null
fromLeague
string[]

Filter by fromLeague slug

toTeam
integer

Filter by toTeam ID

toTeam:not
integer

Filter by toTeam ID not equal to

toTeam.continent
enum<string> | null

Filter by toTeam.continent

Available options:
INT,
AF,
AN,
AS,
EU,
NA,
OC,
SA,
null
toLeague
string[]

Filter by toLeague slug

player
integer

Filter by player ID

player.nationality
string

Filter by player.nationality slug in ISO 3166-1 alpha-3

player.gender
enum<string>

Filter by player.gender

Available options:
male,
female
showOnTransfersPage
boolean

Filter by showOnTransfersPage

updatedAt:min
string<date-time>

Filter by updatedAt greater or equal to in ISO-8601 format for date and time

Response

200 - application/json

A paginated list of transfers.

_meta
object
data
object[]